/*-------------------------------------------------------------------------------------
DefType.h : Node Type definitions
Author : Olivier Couvreur 25/08/97
--------------------------------------------------------------------------------------*/
 
#if !defined(M_DEFINE_TYPE_INTERPRET)
#error You should define M_DEFINE_TYPE_INTERPRET accordingly before including this file !
#endif
 
/* 4 parameters : enum, pointer for interpretation, pointer for binary load, pointer for binary save */
 
  M_DEFINE_TYPE_INTERPRET(E_ti_KeyWord		,fn_p_stEvalKeyWord			,fn_p_cLoadBinaryNodeKeyWord	,fn_p_cSaveBinaryNodeKeyWord)
  M_DEFINE_TYPE_INTERPRET(E_ti_Condition		,fn_p_stEvalCondition		,fn_p_cLoadBinaryNodeCondition	,fn_p_cSaveBinaryNodeCondition)
  M_DEFINE_TYPE_INTERPRET(E_ti_Operator		,fn_p_stEvalOperator		,fn_p_cLoadBinaryNodeOperator   ,fn_p_cSaveBinaryNodeOperator)
  M_DEFINE_TYPE_INTERPRET(E_ti_Function		,fn_p_stEvalFunction		,fn_p_cLoadBinaryNodeFunction	,fn_p_cSaveBinaryNodeFunction)
  M_DEFINE_TYPE_INTERPRET(E_ti_Procedure		,fn_p_stEvalProcedure		,fn_p_cLoadBinaryNodeProcedure	,fn_p_cSaveBinaryNodeProcedure)
  M_DEFINE_TYPE_INTERPRET(E_ti_MetaAction		,fn_p_stEvalMetaAction		,fn_p_cLoadBinaryNodeMetaAction	,fn_p_cSaveBinaryNodeMetaAction)
  M_DEFINE_TYPE_INTERPRET(E_ti_BeginMacro		,fn_p_stEvalBeginMacro		,fn_p_cLoadBinaryNodeBeginMacro	,fn_p_cSaveBinaryNodeBeginMacro)
  M_DEFINE_TYPE_INTERPRET(E_ti_EndMacro		,fn_p_stEvalEndMacro		,fn_p_cLoadBinaryNodeEndMacro	,fn_p_cSaveBinaryNodeEndMacro)
  M_DEFINE_TYPE_INTERPRET(E_ti_EndTree		,fn_p_stEvalEndOfTree		,fn_p_cLoadBinaryNodeEndOfTree	,fn_p_cSaveBinaryNodeEndOfTree)
  M_DEFINE_TYPE_INTERPRET(E_ti_Field			,fn_p_stEvalField			,fn_p_cLoadBinaryNodeField		,fn_p_cSaveBinaryNodeField)
/*  M_DEFINE_TYPE_INTERPRET(E_ti_DsgVar			,fn_p_stEvalDsgVar			,fn_p_cLoadBinaryNodeDsgVar		,fn_p_cSaveBinaryNodeDsgVar) */
  M_DEFINE_TYPE_INTERPRET(E_ti_DsgVar			,fn_p_stEvalDsgVarRef			,fn_p_cLoadBinaryNodeDsgVar		,fn_p_cSaveBinaryNodeDsgVar) 
  M_DEFINE_TYPE_INTERPRET(E_ti_DsgVarRef		,fn_p_stEvalDsgVarRef		,fn_p_cLoadBinaryNodeDsgVarRef	,fn_p_cSaveBinaryNodeDsgVarRef) 
  M_DEFINE_TYPE_INTERPRET(E_ti_Constant		,fn_p_stEvalConstant		,fn_p_cLoadBinaryNodeConstant	,fn_p_cSaveBinaryNodeConstant)
  M_DEFINE_TYPE_INTERPRET(E_ti_Real			,fn_p_stEvalReal			,fn_p_cLoadBinaryNodeReal		,fn_p_cSaveBinaryNodeReal)
  M_DEFINE_TYPE_INTERPRET(E_ti_Button			,fn_p_stEvalButton			,fn_p_cLoadBinaryNodeButton		,fn_p_cSaveBinaryNodeButton)
  M_DEFINE_TYPE_INTERPRET(E_ti_ConstantVector	,fn_p_stEvalConstantVector	,fn_p_cLoadBinaryNodeConstantVector	,fn_p_cSaveBinaryNodeConstantVector)
  M_DEFINE_TYPE_INTERPRET(E_ti_Vector			,fn_p_stEvalVector			,fn_p_cLoadBinaryNodeVector		,fn_p_cSaveBinaryNodeVector)
  M_DEFINE_TYPE_INTERPRET(E_ti_Mask			,fn_p_stEvalMask			,fn_p_cLoadBinaryNodeMask		,fn_p_cSaveBinaryNodeMask)
  M_DEFINE_TYPE_INTERPRET(E_ti_Module			,fn_p_stEvalModuleRef		,fn_p_cLoadBinaryNodeModuleRef	,fn_p_cSaveBinaryNodeModuleRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_DsgVarId		,fn_p_stEvalDsgVarId		,fn_p_cLoadBinaryNodeDsgVarId	,fn_p_cSaveBinaryNodeDsgVarId)
  M_DEFINE_TYPE_INTERPRET(E_ti_String			,fn_p_stEvalString			,fn_p_cLoadBinaryNodeString		,fn_p_cSaveBinaryNodeString)
  M_DEFINE_TYPE_INTERPRET(E_ti_LipsSynchroRef	,fn_p_stEvalLipsSynchroRef	,fn_p_cLoadBinaryNodeLipsSynchroRef,fn_p_cSaveBinaryNodeLipsSynchroRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_FamilyRef		,fn_p_stEvalFamilyRef		,fn_p_cLoadBinaryNodeFamilyRef	,fn_p_cSaveBinaryNodeFamilyRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_PersoRef		,fn_p_stEvalPersoRef		,fn_p_cLoadBinaryNodePersoRef  	,fn_p_cSaveBinaryNodePersoRef) 
  M_DEFINE_TYPE_INTERPRET(E_ti_ActionRef		,fn_p_stEvalActionRef		,fn_p_cLoadBinaryNodeActionRef	,fn_p_cSaveBinaryNodeActionRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_SuperObjectRef	,fn_p_stEvalSuperObjectRef	,fn_p_cLoadBinaryNodeSuperObjectRef	,fn_p_cSaveBinaryNodeSuperObjectRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_WayPointRef	,fn_p_stEvalWayPointRef		,fn_p_cLoadBinaryNodeWayPoint	,fn_p_cSaveBinaryNodeWayPoint)
  M_DEFINE_TYPE_INTERPRET(E_ti_TextRef    ,fn_p_stEvalTextRef     ,fn_p_cLoadBinaryNodeTextRef  ,fn_p_cSaveBinaryNodeTextRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_ComportRef    	,fn_p_stEvalComportRef     	,fn_p_cLoadBinaryNodeComportRef ,fn_p_cSaveBinaryNodeComportRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_ModuleRef		,fn_p_stEvalModuleRef		,fn_p_cLoadBinaryNodeModuleRef	,fn_p_cSaveBinaryNodeModuleRef) 
  M_DEFINE_TYPE_INTERPRET(E_ti_SoundEventRef	,fn_p_stEvalSoundEventRef	,fn_p_cLoadBinaryNodeSoundEventRef,fn_p_cSaveBinaryNodeSoundEventRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_ObjectTableRef	,fn_p_stEvalObjectTableRef	,fn_p_cLoadBinaryNodeObjectTableRef	,fn_p_cSaveBinaryNodeObjectTableRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_GameMaterialRef,fn_p_stEvalGameMaterialRef ,fn_p_cLoadBinaryNodeGameMaterialRef, fn_p_cSaveBinaryNodeGameMaterialRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_ParticleGenerator,fn_p_stEvalParticleGenerator,fn_p_cLoadBinaryNodeParticleGenerator,fn_p_cSaveBinaryNodeParticleGenerator)
  M_DEFINE_TYPE_INTERPRET(E_ti_Color			,fn_p_stEvalColor	    	,fn_p_cLoadBinaryNodeColor	  		,fn_p_cSaveBinaryNodeColor)
  M_DEFINE_TYPE_INTERPRET(E_ti_ModelRef		,fn_p_stEvalModelRef	   	,fn_p_cLoadBinaryNodeModelRef	 ,fn_p_cSaveBinaryNodeModelRef)
  M_DEFINE_TYPE_INTERPRET(E_ti_Light			,fn_p_stEvalLight	   		,fn_p_cLoadBinaryNodeLight		,fn_p_cSaveBinaryNodeLight)
  M_DEFINE_TYPE_INTERPRET(E_ti_Caps       ,fn_p_stEvalCaps        ,fn_p_cLoadBinaryNodeCaps     ,fn_p_cSaveBinaryNodeCaps )
  M_DEFINE_TYPE_INTERPRET(E_ti_Graph      ,fn_p_stEvalGraph       ,fn_p_cLoadBinaryNodeGraph    ,fn_p_cSaveBinaryNodeGraph)
  M_DEFINE_TYPE_INTERPRET(E_ti_MacroRef   ,fn_p_stEvalMacro       ,fn_p_cLoadBinaryNodeNULL    ,fn_p_cSaveBinaryNodeNULL)
  M_DEFINE_TYPE_INTERPRET(E_ti_Unknown	,fn_p_stEvalNULL			,fn_p_cLoadBinaryNodeNULL		,fn_p_cSaveBinaryNodeNULL)
 
#if defined(M_DEFINE_TYPE_INTERPRET)
#undef M_DEFINE_TYPE_INTERPRET 
#endif
 
